org.jboss.shrinkwrap.descriptor.api.connector16

## Interface MessageadapterType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface MessageadapterType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `messageadapterType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessagelistenerType<MessageadapterType<T>>` | `createMessagelistener()` Creates a new `messagelistener` element
    `java.util.List<MessagelistenerType<MessageadapterType<T>>>` | `getAllMessagelistener()` Returns all `messagelistener` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `MessagelistenerType<MessageadapterType<T>>` | `getOrCreateMessagelistener()` If not already created, a new `messagelistener` element will be created and returned.
    `MessageadapterType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `MessageadapterType<T>` | `removeAllMessagelistener()` Removes all `messagelistener` elements
    `MessageadapterType<T>` | `removeId()` Removes the `id` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateMessagelistener

          MessagelistenerType<MessageadapterType<T>> getOrCreateMessagelistener()

      If not already created, a new `messagelistener` element will be created and returned. Otherwise, the first existing `messagelistener` element will be returned.
      Returns:
        the instance defined for the element `messagelistener`

    - #### createMessagelistener

          MessagelistenerType<MessageadapterType<T>> createMessagelistener()

      Creates a new `messagelistener` element
      Returns:
        the new created instance of `MessagelistenerType>`

    - #### getAllMessagelistener

          java.util.List<MessagelistenerType<MessageadapterType<T>>> getAllMessagelistener()

      Returns all `messagelistener` elements
      Returns:
        list of `messagelistener`

    - #### removeAllMessagelistener

          MessageadapterType<T> removeAllMessagelistener()

      Removes all `messagelistener` elements
      Returns:
        the current instance of `MessagelistenerType>`

    - #### id

          MessageadapterType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `MessageadapterType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          MessageadapterType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `MessageadapterType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)